sn (0.3.8-12) unstable; urgency=medium

  * Add snnewsq.8 man page file to debian/ directory.
  * Add 'debian/snnewsq.8' to the debian/sn.manpages file.
  * Changes to the debian/sn.lintian-overrides file:
    + Correct the spelling for the upstream documention lintian warning.
    + Add override for manpage-has-errors-from-man lintian issue on the
      snexpire.8 man page.
  * Add Debian created 'snnewsq' script to the debian/ directory.
  * Rename the file 'debian/config' to be 'debian/sn.config' and add the
    command line 'set -e' to the beginning of the file.

 -- Robert James Clay <jame@rocasa.us>  Mon, 29 Oct 2018 01:00:06 -0400

sn (0.3.8-11) unstable; urgency=medium

  * New Maintainer. (Closes: #910567)
  * Changes in debian/rules:
    + Add 'build-arch' and 'build-indep' targets.
    + Remove trailing whitespace at line 17 of the file.
    + Explicitly add 'dh_install' to the binary-arch target.
    + Explicitly add 'dh_lintian' to the binary-arch target.
    + Use 'dh_prep' instead of 'dh_clean -k' in install target.
    + Removed lines related to the lintian overrides as no longer needed.
  * Install 'snnewsq' script using the debian/sn.install file.
  * Replace 'exim' with 'default-mta' as a Depends in debian/control.
  * Add '1-Makefile.patch' and 'series' files to a debian/patches/ directory.
  * Remove invalid '--group' option from the update-inetd command line in the
    debian/postrm script. (Closes: #909928)
  * Ran 'wrap-and-sort' on package files which resulted in changes to the files
    debian/control, debian/dirs, & debian/docs.
  * Set '3.0 (quilt)' as the package source format.
  * Add a debian/TODO file to the package sources.
  * Change debhelper version setting from '5.0.0' to '10'.
  * Add 'Vcs-Browser' & 'Vcs-Git' settings to debian/control.
  * Changes to debian/sn.lintian-overrides:
    + Add item regarding a manpage related lintian warning.
    + Add 'sn binary:' to the lines in the file in order to correct the
      formatting of it and also added a comment to the file.
    + Rename 'debian/lintian-overrides' as 'debian/sn.lintian-overrides'.
  * Remove debian/source.lintian-overrides' as it is not currently needed.

 -- Robert James Clay <jame@rocasa.us>  Sat, 27 Oct 2018 19:33:14 -0400

sn (0.3.8-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * New debconf translation:
    - Danish, Joe Hansen (Closes: #656735)
    - Polish, Michał Kułach (Closes: #685432)
    - Slovak, Slavko (Closes: #685547)
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #685759)

 -- David Prévot <taffit@debian.org>  Fri, 24 Aug 2012 17:05:41 -0400

sn (0.3.8-10) unstable; urgency=low

  * Updated Vietnamese debconf templates, thanks to Clytie Siddall
    (Closes: #513371)
  * Added Japanese debconf templates, thanks to Hideki Yamane (Closes:
    #558049)
  * Bumped Standards-Version
  * Added some #include statements to avoid compiler warnings about
    implicit declaration.

 -- Hilko Bengen <bengen@debian.org>  Sun, 13 Dec 2009 16:01:16 +0100

sn (0.3.8-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491957
    - Basque. Closes: #503224
    - Italian. Closes: #503366

 -- Christian Perrier <bubulle@debian.org>  Mon, 27 Oct 2008 08:10:55 +0100

sn (0.3.8-9) unstable; urgency=low

  * Fix two bashisms, thanks to Manuel Prinz (Closes: #486057)
  * Bump standards version to 3.8.0.
  * Fix dependencies (mailx, mail-transport-agent)

 -- Hilko Bengen <bengen@debian.org>  Thu, 03 Jul 2008 23:09:05 +0200

sn (0.3.8-8) unstable; urgency=low

  * New maintainer (Closes: #380422)
  * Fixed lowercased formatting directive snexpire.8. Thanks, lintian!
  * Moved spool cleanup code to example script (Closes: #400663)

 -- Hilko Bengen <bengen@debian.org>  Thu, 08 May 2008 00:52:52 +0200

sn (0.3.8-7) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group.
  * Acknowledge NMUs.
  * Move DH_COMPAT to debian/compat and set to 5.
  * Debconf traslations:
    + Spanish updated. (Closes: #413783).
    + Russion updated. (Closes: #414084).
    + Portuguese translation. (Closes: #415531).
    + Dutch translation. (Closes: #450969).
  * Add depends for openbsd-inetd | inet-superserver.
  * Convert copyright file to UTF-8.
  * Remove unused commands from rules.
  * Bump debhelper build-dep to 5.
  * Bump standards version to 3.7.3.

 -- Barry deFreese <bddebian@comcast.net>  Thu, 24 Jan 2008 07:38:28 -0500

sn (0.3.8-6.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf translations:
    - French updated. Closes: #385471
    - Czech updated. Closes: #389187

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Jan 2007 23:27:47 +0100

sn (0.3.8-6) unstable; urgency=low

  * Check for the existence of update-inetd in postrm (Closes: 398542)
    Thanks to Andreas Henriksson for the patch.
  * Updated German translation by Erik Schanze (Closes: 399272)


 -- Chris Niekel <chris@niekel.net>  Thu, 16 Nov 2006 09:39:59 +0100

sn (0.3.8-5.1) unstable; urgency=low

  * NMU
  * /etc/news/sn/debian-config no longer a conffile (Closes: 386620)

 -- Florian M. Weps <fmw@debian.org>  Tue, 10 Oct 2006 16:46:31 +0200

sn (0.3.8-5) unstable; urgency=low

  * Expiretime was doubly defined, in /etc/cron.daily/sn and debian-config.
    Remove it from the second. (Closes: #380240)
  * Add Vietnamese translation, thanks to Clytie Siddall (Closes: #318600)
  * Add Swedish translation, thanks to Daniel Nylander (Closes: #336902)
  * Fix lintian warnings whenever possible.
  * If newsspool is empty, cron.daily generates an error. Prevent that.
    (reported in ubuntu).
  * Upgrade to policy 3.7.2, no changes made based on the checklist.

 -- Chris Niekel <chris@niekel.net>  Sat, 19 Aug 2006 21:31:16 +0200

sn (0.3.8-4) unstable; urgency=low

  * Add Czech translation, thanks to Miroslav Kure (Closes: #298321)
  * Allow year-based expire in cron.daily, since snexpire allows it.
    Thanks to Derrick Karpo.

 -- Chris Niekel <chris@niekel.net>  Wed, 20 Apr 2005 21:11:02 +0200

sn (0.3.8-3) unstable; urgency=low

  * Updated german translation, thanks to Eric Schanze (Closes: #281217)
  * Upload sponsored.. well, i won't mention this again and again until
    something changes here <eb>

 -- Chris Niekel <chris@niekel.net>  Sat,  4 Dec 2004 11:08:44 +0000

sn (0.3.8-2) unstable; urgency=low

  * Don't let a .last-list file confuse snnewsq (Closes: #269626)
  * Upload sponsored by Edelhard Becker <edelhard@debian.org>

 -- Chris Niekel <chris@niekel.net>  Thu,  2 Sep 2004 20:33:08 +0200

sn (0.3.8-1) unstable; urgency=low
  * New upstream version, fixes message-id problem (Closes: #243297)
    Note: upstream changed the name of HELLO and POST into 
    SNHELLO and SNPOST. 
  * Converted hyphens in manpage to minus-sign (lintian warning)
  * Upload sponsored by Edelhard Becker <edelhard@debian.org>

 -- Chris Niekel <chris@niekel.net>  Sun, 15 Aug 2004 09:10:28 +0200

sn (0.3.6-4) unstable; urgency=low

  * Require debhelper >=4.1.68 for building for dh_installppp
            (Closes: #224216)
  * Fix va_start/va_end mess, and missing parameters in code, so the
    programs will run on ppc. (Thanks to Michael K. Edwards for help!)
  * Upload sponsored by Edelhard Becker <edelhard@debian.org>

 -- Chris Niekel <chris@niekel.net>  Tue,  9 Dec 2003 17:44:52 +0100

sn (0.3.6-3) unstable; urgency=low

  * Remove the debian.old directory, which I accidentally added.
  * Add new ru.po translation, thanks to Ilgiz Kalmetev (Closes: #221826)

 -- Chris Niekel <chris@niekel.net>  Sat, 22 Nov 2003 13:34:25 +0100

sn (0.3.6-2) unstable; urgency=low

  * Use a non-buggy dpkg-dev, so the build-depends are fine
  * Write the debian paths in the install document.
  * Upload sponsored by Edelhard Becker <edelhard@debian.org>

 -- Chris Niekel <chris@niekel.net>  Thu, 18 Sep 2003 08:30:18 +0200

sn (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Convert to debhelper compatibility 4.
  * Incorporate other suggestions by Andreas Metzler on debian-mentor
  * Move templates.pot into the po/ directory (Closes: #209110)

 -- Chris Niekel <chris@niekel.net>  Fri, 22 Aug 2003 10:04:19 +0200


sn (0.3.5-2) unstable; urgency=low

  * New maintainer  (Closes: #206025)
  * Fix postinst script so dash doesn't echo the '-e' on screen 
    (Closes: #202899)
  * Acknowledge NMU (Closes: #190678)
  * Switched to gettext for debconf templates, thanks to Michel Grentzinger
    for the patch. Hopefully, Russian and German are still readable.
    (Closes: #202941)
  * Added french translation (Closes: #202942)
  * Added manpage for HELLO (Closes: #93858), POST (Closes: #93859),
    and lockf (Closes: #93860)
  * Upon purge, delete the /var/spool/sn tree (with rm) (Closes: #189479)

 -- Chris Niekel <chris@niekel.net>  Fri, 22 Aug 2003 10:04:19 +0200

sn (0.3.5-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Added ed to the Dependencies (Closes #190678)

 -- Joachim Breitner <mail@joachim-breitner.de>  Fri, 18 Jul 2003 09:56:09 +0200

sn (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * control: Added german description.
  * debian-config: Fixed typo. (Closes: #149697)
  * postinst: Touch debian-config, someone had problems with it not
    existing.

 -- Jorgen Schaefer <forcer@debian.org>  Sun,  8 Dec 2002 15:14:30 +0100

sn (0.3.4a-5) unstable; urgency=low

  * Updated Standards-Version to 3.5.6.1

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 27 Apr 2002 13:01:41 +0200

sn (0.3.4a-4) unstable; urgency=high

  * $(SNROOT) shouldn't point to $(DESTDIR), also remove dependency on
    install as well. (Closes: #144501)

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 27 Apr 2002 12:06:52 +0200

sn (0.3.4a-3) unstable; urgency=high

  * urgency=high - closing three important bugs of sn in testing...
  * Depends: ed (Closes: #138540) This might have been the cause for
    another bug. I'm closing that one too, the submitter doesn't
    reply to my emails... (Closes: #127313)
  * snmail now hopefully uses the right exit codes. Thanks to Rupa
    Schomaker <rupa@rupa.com> for the patch! (Closes: #136509)
  * Missed a call to cat in POST.in last time... (Closes: #143940)
  * Added russian template file. Thanks to Ilgiz Kalmetev
    <ilgiz@bashtelecom.ru>! (Closes: #137164)
  
 -- Jorgen Schaefer <forcer@debian.org>  Tue, 23 Apr 2002 11:59:00 +0200

sn (0.3.4a-2) unstable; urgency=low

  * POST.in: Use /bin/cat instead of cat (Closes: #120988)
  * cron.daily: Ignore lost+found entries (Closes: #121184)
  * sn.init: Touch .noservice while rebuilding the index (Closes: #127650)
  * snmail: Exit with EX_TEMPFAIL on erorr (Closes: #131344)

 -- Jorgen Schaefer <forcer@debian.org>  Sat, 16 Feb 2002 15:39:12 +0100

sn (0.3.4a-1) unstable; urgency=low

  * New upstream release.
  * Added patch from Patrik Rådman <patrik@infa.abo.fi> to suppress ugly
    Terminated messages.

 -- Jorgen Schaefer <forcer@debian.org>  Tue, 13 Nov 2001 13:40:44 +0100

sn (0.3.3-6) unstable; urgency=low

  * HELLO: Talk about "Article posted successfully" only when we actually
    did post an article...

 -- Jorgen Schaefer <forcer@debian.org>  Fri, 31 Aug 2001 13:47:17 +0200

sn (0.3.3-5) unstable; urgency=low

  * HELLO: Actually added the reason (thanks to Andras BALI)
  * HELLO: Added "Article posted successfully" (thanks to Andras BALI)
  
 -- Jorgen Schaefer <forcer@debian.org>  Tue, 31 Jul 2001 13:44:43 +0200

sn (0.3.3-4) unstable; urgency=low

  * debian/ip-down: Added || true so the script does not fail
    anymore. (Closes: #93761)
  * debian/sn.templates: Added german translation (Thanks to Sebastian
    Feltel) (Closes: #93622)
  * debian/config: New file - config script
  * debian/postinst: Removed calls to db_input
  * HELLO: added reason to "Posting failed" mail

 -- Jorgen Schaefer <forcer@debian.org>  Fri, 13 Apr 2001 18:37:44 +0200

sn (0.3.3-3) unstable; urgency=low

  * snnewsq.in: Exclude password and username files from snnewsq scanning.

 -- Jorgen Schaefer <forcer@debian.org>  Fri,  2 Feb 2001 18:15:36 +0100

sn (0.3.3-2) unstable; urgency=low

  * store.c: Exclude extern int writev(); on Alpha with glibc.
  (Closes: #77261).

 -- Jorgen Schaefer <forcer@debian.org>  Fri,  1 Dec 2000 21:31:23 +0200

sn (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * copyright: New upstream author, new source.
  * Changed maintainer address to forcer@debian.org.
  * Build-Depends: on libz-dev now instead of zlib1g-dev.
  * sn.init: Don't discard snscan output.

 -- Jorgen Schaefer <forcer@debian.org>  Fri,  1 Dec 2000 01:01:23 +0200

sn (0.3.2-7) unstable; urgency=low

  * /etc/cron.daily/sn is a conffile
  * Depend on debconf

 -- Jorgen 'forcer' Schaefer <forcer@mindless.com>  Wed, 11 Oct 2000 14:39:50 +0200

sn (0.3.2-6) unstable; urgency=low

  * /var/spool/sn/.outgoing should be writeable by root too...

 -- Jorgen 'forcer' Schaefer <forcer@mindless.com>  Fri, 15 Sep 2000 21:52:31 +0200

sn (0.3.2-5) unstable; urgency=low

  * cron.daily: Only use $EXPIRETIME if no .expire found
  * cron.daily: Don't expire =junk newsgroups
  * postinst: Make sure that /var/spool/sn/.outgoing is writeable by news
  * docs: add INSTALL, INSTALL.notes and TODO
  * sn.init: DAEMON should be /usr/sbin/snntpd
  * sn.init: snprimedb emits alot of irritating pseudo-errors, redirect to
  /dev/null
  * ipdown: new script.  Kill still running snget processes, they hang.
  * control: depend on psmisc because of killall in ipdown
  * rules: install new ipdown script
  * HELLO: added reason to the error mail
  * snnewsq.in, snnewsq.8: new script and manpage
  (thanks to Andras BALI <drewie@bigfoot.com> for all these)
  * cron.daily: Time format allows multiple numbers now
  (thanks to Andreas Fuchs <asf@acm.org>

 -- Jorgen 'forcer' Schaefer <forcer@mindless.com>  Fri, 15 Sep 2000 18:28:57 +0200

sn (0.3.2-4) unstable; urgency=low

  * Fixed mistake in cron.daily, should be for f in * not for f in ./*

 -- Jorgen Schaefer <forcer@mindless.com>  Tue,  1 Aug 2000 03:29:24 +0200

sn (0.3.2-3) unstable; urgency=low

  * Small mistake in cron.daily, also run the expire even if news shouldn't 
    be gotten through cron.
  * Added build-depends for debhelper.
  
 -- Jorgen Schaefer <forcer@mindless.com>  Sat, 29 Jul 2000 21:50:37 +0200

sn (0.3.2-2) unstable; urgency=low

  * New variable EXPIRETIME in etc/news/sn/debian-config.  Thanks to
    Andreas Fuchs <asf@acm.org>.
  * postinst changed to not just overwrite debian-config, but modify it.
  
 -- Jorgen Schaefer <forcer@mindless.com>  Sat, 29 Jul 2000 20:41:47 +0200

sn (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Jorgen Schaefer <forcer@mindless.com>  Thu,  6 Apr 2000 00:13:37 +0200

sn (0.3.1-2) unstable; urgency=low

  * Fixed typo in ip-up: debian-config not debian-conf

 -- Jorgen Schaefer <forcer@mindless.com>  Fri, 10 Mar 2000 04:02:59 +0100

sn (0.3.1-1) unstable; urgency=low

  * Initial Release.

 -- Jorgen Schaefer <forcer@mindless.com>  Tue, 29 Feb 2000 10:11:31 +0100
